<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrCancellationMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrCancellation">
            <id property="xhCodeId" column="xh_code_id" jdbcType="BIGINT"/>
            <result property="etpsId" column="ETPS_ID" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="candate" column="CANDATE" jdbcType="DATE"/>
            <result property="canrea" column="CANREA" jdbcType="VARCHAR"/>
            <result property="extclebrsign" column="EXTCLEBRSIGN" jdbcType="VARCHAR"/>
            <result property="cancelbrsign" column="CANCELBRSIGN" jdbcType="VARCHAR"/>
            <result property="declebrsign" column="DECLEBRSIGN" jdbcType="VARCHAR"/>
            <result property="affwritno" column="AFFWRITNO" jdbcType="VARCHAR"/>
            <result property="pubnewsname" column="PUBNEWSNAME" jdbcType="VARCHAR"/>
            <result property="pubdate" column="PUBDATE" jdbcType="DATE"/>
            <result property="sanauth" column="SANAUTH" jdbcType="VARCHAR"/>
            <result property="sandocno" column="SANDOCNO" jdbcType="VARCHAR"/>
            <result property="sandate" column="SANDATE" jdbcType="DATE"/>
            <result property="cleantax" column="CLEANTAX" jdbcType="VARCHAR"/>
            <result property="cancellationcertificate" column="CANCELLATIONCERTIFICATE" jdbcType="VARCHAR"/>
            <result property="customsettlement" column="CUSTOMSETTLEMENT" jdbcType="VARCHAR"/>
            <result property="cleanbondunit" column="CLEANBONDUNIT" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
            <result property="uniCode" column="uni_code" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        xh_code_id,ETPS_ID,PRIPID,
        CANDATE,CANREA,EXTCLEBRSIGN,
        CANCELBRSIGN,DECLEBRSIGN,AFFWRITNO,
        PUBNEWSNAME,PUBDATE,SANAUTH,
        SANDOCNO,SANDATE,CLEANTAX,
        CANCELLATIONCERTIFICATE,CUSTOMSETTLEMENT,CLEANBONDUNIT,
        S_EXT_DATATIME,uni_code
    </sql>
</mapper>
